require('dotenv').config();

module.exports = {
  port: process.env.PORT || 3000,
  db: {
    user: process.env.DB_USER || 'postgres',
    host: process.env.DB_HOST || 'localhost',
    database: process.env.DB_NAME || 'cloth_design',
    password: process.env.DB_PASSWORD || 'yourpassword',
    port: parseInt(process.env.DB_PORT || '5432'),
  }
};